Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Member Functions | List of all members
cutlass::gemm::LinearScalingDevicePtr< Scalar_, FragmentMultiplyAdd_ >::Params Class Reference

The parameters.

`#include <linear_scaling_device_ptr.h>`

## Public Member Functions
CUTLASS_HOST_DEVICE | Params ()
CUTLASS_HOST_DEVICE | Params (Scalar alpha, Scalar beta)
CUTLASS_HOST_DEVICE | Params (Scalar const *alpha_ptr, Scalar const *beta_ptr)
CUTLASS_HOST_DEVICE int | initialize (Scalar alpha, Scalar beta)
| Initialize the parameters. More...
CUTLASS_HOST_DEVICE int | initialize (Scalar const *alpha, Scalar const *beta)
| Initialize the parameters. More...
template<typename GemmDesc_ >
CUTLASS_HOST_DEVICE int | initialize (GemmDesc_ const &desc)
| Initialize the parameters. More...
CUTLASS_HOST_DEVICE Scalar | alpha () const
| Gets the alpha scalar. More...
CUTLASS_HOST_DEVICE Scalar | beta () const
| Gets the beta scalar. More...

## Constructor & Destructor Documentation

## ◆ Params() [1/3]

template<typename Scalar_ , typename FragmentMultiplyAdd_ = FragmentMultiplyAdd<Scalar_, Scalar_>>

CUTLASS_HOST_DEVICE cutlass::gemm::LinearScalingDevicePtr< Scalar_, FragmentMultiplyAdd_ >::Params::Params | ( |  | ) |
| inline

## ◆ Params() [2/3]

template<typename Scalar_ , typename FragmentMultiplyAdd_ = FragmentMultiplyAdd<Scalar_, Scalar_>>

CUTLASS_HOST_DEVICE cutlass::gemm::LinearScalingDevicePtr< Scalar_, FragmentMultiplyAdd_ >::Params::Params | ( | Scalar | alpha,
|  | Scalar | beta
| ) |  |
| inline

## ◆ Params() [3/3]

template<typename Scalar_ , typename FragmentMultiplyAdd_ = FragmentMultiplyAdd<Scalar_, Scalar_>>

CUTLASS_HOST_DEVICE cutlass::gemm::LinearScalingDevicePtr< Scalar_, FragmentMultiplyAdd_ >::Params::Params | ( | Scalar const * | alpha_ptr,
|  | Scalar const * | beta_ptr
| ) |  |
| inline

## Member Function Documentation

## ◆ alpha()

template<typename Scalar_ , typename FragmentMultiplyAdd_ = FragmentMultiplyAdd<Scalar_, Scalar_>>

CUTLASS_HOST_DEVICE Scalar cutlass::gemm::LinearScalingDevicePtr< Scalar_, FragmentMultiplyAdd_ >::Params::alpha | ( |  | ) | const
| inline

## ◆ beta()

template<typename Scalar_ , typename FragmentMultiplyAdd_ = FragmentMultiplyAdd<Scalar_, Scalar_>>

CUTLASS_HOST_DEVICE Scalar cutlass::gemm::LinearScalingDevicePtr< Scalar_, FragmentMultiplyAdd_ >::Params::beta | ( |  | ) | const
| inline

## ◆ initialize() [1/3]

template<typename Scalar_ , typename FragmentMultiplyAdd_ = FragmentMultiplyAdd<Scalar_, Scalar_>>

CUTLASS_HOST_DEVICE int cutlass::gemm::LinearScalingDevicePtr< Scalar_, FragmentMultiplyAdd_ >::Params::initialize | ( | Scalar | alpha,
|  | Scalar | beta
| ) |  |
| inline

## ◆ initialize() [2/3]

template<typename Scalar_ , typename FragmentMultiplyAdd_ = FragmentMultiplyAdd<Scalar_, Scalar_>>

CUTLASS_HOST_DEVICE int cutlass::gemm::LinearScalingDevicePtr< Scalar_, FragmentMultiplyAdd_ >::Params::initialize | ( | Scalar const * | alpha,
|  | Scalar const * | beta
| ) |  |
| inline

## ◆ initialize() [3/3]

template<typename Scalar_ , typename FragmentMultiplyAdd_ = FragmentMultiplyAdd<Scalar_, Scalar_>>
template<typename GemmDesc_ >

CUTLASS_HOST_DEVICE int cutlass::gemm::LinearScalingDevicePtr< Scalar_, FragmentMultiplyAdd_ >::Params::initialize | ( | GemmDesc_ const & | desc | ) |
| inline

The documentation for this class was generated from the following file:

- linear_scaling_device_ptr.h